{
  kind: 'pipeline',
  type: 'digitalocean',
  name: 'default',
  token: {
    from_secret: 'digitalocean_pat',
  },
  platform: {
    arch: 'amd64',
  },
  server: {
    image: 'docker-20-04',
    size: 's-1vcpu-512mb-10gb',
    region: 'fra1',
  },
  steps:
    [
      {
        name: 'Hello bash!',
        image: 'bash:latest',
        commands: [
          'Hello from Pipeline VM',
        ],
      },
      {
        name: 'Hello Rust!',
        image: 'img.kie.rs/jjkiers/rust-dind-cross:1.62-slim',
        commands: [
          'cargo run',
        ],
      },
    ],
}
